### Name: npcdensbw
### Title: Kernel Conditional Density Bandwidth Selection with Mixed Data
###   Types
### Aliases: npcdensbw npcdensbw.NULL npcdensbw.conbandwidth
###   npcdensbw.default npcdensbw.formula
### Keywords: nonparametric

### ** Examples

# EXAMPLE 1 (INTERFACE=FORMULA): For this example, we compute the
# likelihood cross-validated bandwidths (default) using a second-order
# Gaussian kernel (default). Note - this may take a minute or two
# depending on the speed of your computer. We override the default
# tolerances for the search method as the objective function is
# well-behaved (don't of course do this in general).

data("Italy")
attach(Italy)

bw <- npcdensbw(formula=gdp~ordered(year), tol=.1, ftol=.1)

# The object bw can be used for further estimation using
# npcdens(), plotting using npplot() etc. Entering the name of
# the object provides useful summary information, and names() will also
# provide useful information.

summary(bw)

# Note - see the example for npudensbw() for multiple illustrations
# of how to change the kernel function, kernel order, and so forth.

detach(Italy)

## Not run: 
##D 
##D # EXAMPLE 1 (INTERFACE=DATA FRAME): For this example, we compute the
##D # likelihood cross-validated bandwidths (default) using a second-order
##D # Gaussian kernel (default). Note - this may take a minute or two
##D # depending on the speed of your computer. We override the default
##D # tolerances for the search method as the objective function is
##D # well-behaved (don't of course do this in general).
##D 
##D data("Italy")
##D attach(Italy)
##D 
##D bw <- npcdensbw(xdat=ordered(year), ydat=gdp, tol=.1, ftol=.1)
##D 
##D # The object bw can be used for further estimation using
##D # npcdens(), plotting using npplot() etc. Entering the name of
##D # the object provides useful summary information, and names() will also
##D # provide useful information.
##D 
##D summary(bw)
##D 
##D # Note - see the example for npudensbw() for multiple illustrations
##D # of how to change the kernel function, kernel order, and so forth.
##D 
##D detach(Italy)
## End(Not run) 



