### Name: npscoefbw
### Title: Smooth Coefficient Kernel Regression Bandwidth Selection
### Aliases: npscoefbw npscoefbw.NULL npscoefbw.default npscoefbw.formula
###   npscoefbw.scbandwidth
### Keywords: nonparametric

### ** Examples

# EXAMPLE 1 (INTERFACE=FORMULA): For this example, we compute a
# smooth coefficient model with differing X and Z data

n <- 100
x <- runif(n)
z <- runif(n, min=-2, max=2)
y <- x*exp(z)*(1.0+rnorm(n,sd = 0.2))
bw <- npscoefbw(formula=y~x|z)
summary(bw)

## Not run: 
##D 
##D # EXAMPLE 1 (INTERFACE=DATA FRAME): For this example, we compute a
##D # smooth coefficient model with differing X and Z data
##D 
##D n <- 100
##D x <- runif(n)
##D z <- runif(n, min=-2, max=2)
##D y <- x*exp(z)*(1.0+rnorm(n,sd = 0.2))
##D bw <- npscoefbw(xdat=x, ydat=y, zdat=z)
##D summary(bw)
## End(Not run) 



